Bug 829380 - Webadmin doesn't block bridge-less networks for 3.0 DC
Webadmin doesn't block bridge-less networks for 3.0 DC
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: lpeer
GenadiC
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-06 11:02 EDT by Moti Asayag
Modified: 2016-02-10 14:56 EST (History)
8 users (show)

See Also:
Fixed In Version: si12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:02:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Moti Asayag 2012-06-06 11:02:01 EDT
Description of problem:
Bridge-less network feature introduced for 3.1 dc.
Clusters of 3.0 shouldn't support the feature and the 3.0 only supported vdsm will not be capable to support it, therefore selecting the vm-network checkbox when adding new network should be checked and disabled for networks on 3.0 DC.

How reproducible:
always

Steps to Reproduce:
1. Create 3.0 DC
2. Add network to the DC
  
Actual results:
VM network check box is enabled for selection.

Expected results:
VM network check box should be checked and disabled
Comment 1 Yaniv Kaul 2012-06-17 03:11:26 EDT
(related to https://bugzilla.redhat.com/show_bug.cgi?id=829383 , but make sure this is blocked by the UI).
Comment 2 Alona Kaplan 2012-07-19 06:43:28 EDT
fixed in commit 646a2fe63b71f9d15755353cb70d71b5b9702878
Comment 3 GenadiC 2012-07-30 05:59:46 EDT
Verified in 3.1 SI12

Note You need to log in before you can comment on or make changes to this bug.